CMCStatusInfoV2 (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class CMCStatusInfoV2

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.CMCStatusInfoV2

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CMCStatusInfoV2
      extends ASN1Object

       --  Replaces CMC Status Info
       --

       id-cmc-statusInfoV2 OBJECT IDENTIFIER ::= {id-cmc 25}

       CMCStatusInfoV2 ::= SEQUENCE {
        cMCStatus             CMCStatus,
        bodyList              SEQUENCE SIZE (1..MAX) OF BodyPartReference,
        statusString          UTF8String OPTIONAL,
        otherStatusInfo             OtherStatusInfo OPTIONAL
       }

       OtherStatusInfo ::= CHOICE {
        failInfo              CMCFailInfo,
        pendInfo              PendInfo,
        extendedFailInfo      ExtendedFailInfo
       }

       PendInfo ::= SEQUENCE {
       pendToken           OCTET STRING,
       pendTime            GeneralizedTime
       }

       ExtendedFailInfo ::= SEQUENCE {
       failInfoOID            OBJECT IDENTIFIER,
       failInfoValue          ANY DEFINED BY failInfoOID
       }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartID[]` | `getBodyList()`
    `CMCStatus` | `getcMCStatus()` Deprecated. use getCMCStatus();
    `CMCStatus` | `getCMCStatus()`
    `static CMCStatusInfoV2` | `getInstance(java.lang.Object o)`
    `OtherStatusInfo` | `getOtherStatusInfo()`
    `DERUTF8String` | `getStatusString()` Deprecated. Use `getStatusStringUTF8()` instead.
    `ASN1UTF8String` | `getStatusStringUTF8()`
    `boolean` | `hasOtherInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCMCStatus

          public CMCStatus getCMCStatus()

    - #### getcMCStatus

          public CMCStatus getcMCStatus()

      Deprecated. use getCMCStatus();

    - #### getBodyList

          public BodyPartID[] getBodyList()

    - #### getStatusString

          public DERUTF8String getStatusString()

      Deprecated. Use `getStatusStringUTF8()` instead.

    - #### getStatusStringUTF8

          public ASN1UTF8String getStatusStringUTF8()

    - #### getOtherStatusInfo

          public OtherStatusInfo getOtherStatusInfo()

    - #### hasOtherInfo

          public boolean hasOtherInfo()

    - #### getInstance

          public static CMCStatusInfoV2 getInstance(java.lang.Object o)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.